import { MachineConfig, EventObject, MachineOptions, OmniEvent, State, StateSchema } from "xstate";
import { Interpreter } from "xstate/lib/interpreter";
export declare function useMachine<TContext = any, TState extends StateSchema = any, TEvent extends EventObject = any>(config: MachineConfig<TContext, TState, TEvent>, options: MachineOptions<TContext, TEvent>, initialContext?: TContext): TCreateContext<TContext, TState, TEvent>;
export declare type TCreateContext<TContext, TState, TEvent extends EventObject> = {
    state: State<TContext, TEvent>;
    context: TContext;
    send: TSendFn<TContext, TEvent>;
    service: Interpreter<TContext, TState, TEvent>;
};
declare type TSendFn<TContext, TEvent extends EventObject> = (event: OmniEvent<TEvent>) => State<TContext, TEvent>;
export {};
